Summary:       Atomic memory update operations
Name:          libatomic_ops
Version:       7.8.2
Release:       2%{?dist}
License:       GPLv2 and MIT
URL:           https://github.com/ivmai/libatomic_ops/
Source0:       %{url}/releases/download/v%{version}/libatomic_ops-%{version}.tar.gz

BuildRequires: gcc make
Provides:      libatomic1 = %{version}-%{release}

%description
This package provides semi-portable access to hardware-provided atomic
memory update operations on a number of architectures. 

%package devel
Summary:       Atomic memory update operations development files
Requires:      %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use libatomic_ops library.

%package static
Summary:       Atomic memory update operations static library
Requires:      %{name}-devel = %{version}-%{release}

%description static
This package includes files for developing with libatomic_ops and
linking statically.

%prep
%autosetup

%build
%configure --enable-shared --disable-silent-rules
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -fv %{buildroot}%{_libdir}/lib*.la
rm -fvr %{buildroot}%{_pkgdocdir}

%check
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/.libs/
%make_build check

%files
%license COPYING LICENSE
%doc AUTHORS ChangeLog README.md
%{_libdir}/libatomic_ops.so.1*
%{_libdir}/libatomic_ops_gpl.so.1*

%files devel
%doc README*
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops/
%{_libdir}/libatomic_ops.so
%{_libdir}/libatomic_ops_gpl.so
%{_libdir}/pkgconfig/atomic_ops.pc

%files static
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.8.2-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 7.8.2-1
- Upgrade to version 7.8.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.6.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.6.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.6.12-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 ZoeDong <zoedong@tencent.com> - 7.6.12-1
- Initial build

